using System;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "an ape corpse" )]
	public class Ape : BaseCreature
	{
		[Constructable]
		public Ape() : base( AIType.AI_Animal, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "an ape";
			Body = 319;
			BaseSoundID = 0x9E;

			SetStr( 73, 115 );
			SetDex( 46, 65 );
			SetInt( 36, 60 );

			SetHits( 58, 71 );
			SetMana( 0 );

			SetDamage( 4, 10 );

			SetSkill( SkillName.MagicResist, 55.1, 70.0 );
			SetSkill( SkillName.Tactics, 53.3, 68.0 );
			SetSkill( SkillName.HandToHand, 53.3, 68.0 );

			Fame = 500;
			Karma = 0;

			VirtualArmor = 23;
		}

		public override int Meat{ get{ return 2; } }
		public override int Hides{ get{ return 8; } }

		public Ape(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}